Bug 149044 - [PATCH] www/libxul: Exp-run for 1.9.2.8 update
[PATCH] www/libxul: Exp-run for 1.9.2.8 update
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Beat Gaetzi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-28 20:00 UTC by Beat Gaetzi
Modified: 2010-08-08 10:20 UTC (History)
0 users

See Also:


Attachments
libxul-1.9.2.8-update.patch (131.85 KB, patch)
2010-07-28 20:00 UTC, Beat Gaetzi
no flags Details | Diff
libxul-1.9.2.8-update2.patch (117.74 KB, patch)
2010-08-04 15:10 UTC, Beat Gaetzi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Beat Gaetzi freebsd_committer 2010-07-28 20:00:18 UTC
	- Attached patch contains the update of www/libxul to 1.9.2.8
	- PORTREVISIONs of depending ports are bumped
	- Ports which do not build with libxul 1.9.2.8 are fixed or updated
	- Port which depends on libxul by mistake are corrected
	- Obsolete gecko providers are removed from all ports touched by this update

	Could you please schedule an exp-run for this patch and approve the update.

	Many thanks to Andreas Tobler and decke@ for their work on the libxul update.
Comment 1 Edwin Groothuis freebsd_committer 2010-07-28 20:01:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Beat Gaetzi freebsd_committer 2010-07-28 20:03:06 UTC
Responsible Changed
From-To: gecko->portmgr

Could you please schedule an exp-run for this and approve the update. 
Thanks!
Comment 3 pav freebsd_committer 2010-08-04 13:46:53 UTC
Responsible Changed
From-To: portmgr->pav

Take for exprun
Comment 4 pav freebsd_committer 2010-08-04 14:02:48 UTC
State Changed
From-To: open->feedback

First, sorry for the delay handling this request. 

The patch no longer applies cleanly, most notably moonshine was updated to 0.7 
independently. Could you regenerate a fresh patch for me?
Comment 5 Beat Gaetzi freebsd_committer 2010-08-04 15:10:53 UTC
Hi Pav,

On 04.08.2010 15:03, pav@FreeBSD.org wrote:
> The patch no longer applies cleanly, most notably moonshine was updated to 0.7
> independently. Could you regenerate a fresh patch for me?

I've run a test build on my tinderbox and the new moonshine version in
ports builds fine with libxul 1.9.2.8 so only a PORTREVISION bump is
needed. You will find an updated patch attached.

Thanks,
Beat
Comment 6 pav freebsd_committer 2010-08-04 15:29:45 UTC
State Changed
From-To: feedback->open

New patch received
Comment 7 pav freebsd_committer 2010-08-07 12:50:25 UTC
Responsible Changed
From-To: pav->beat

exp-run finished, back to beat to close
Comment 8 dfilter freebsd_committer 2010-08-08 09:56:25 UTC
beat        2010-08-08 08:56:06 UTC

  FreeBSD ports repository

  Modified files:
    www/libxul           Makefile distinfo 
    www/libxul/files     patch-layout_generic_Makefile.in 
                         patch-security_coreconf_FreeBSD.mk 
                         patch-xpcom_reflect_xptcall_src_md_unix_Makefile.in 
                         patch-xptcall-amd64 
                         patch-xulrunner_installer_libxul.pc.in 
  Added files:
    www/libxul/files     libsydney_oss patch-configure.in 
                         patch-content-xslt-public-txDouble.h 
                         patch-js-src-Makefile.in 
                         patch-js-src-config-mkdepend-Makefile.in 
                         patch-js-src-configure.in 
                         patch-js-src-jslock.cpp 
                         patch-js_src_jsnum.cpp 
                         patch-media-liboggz-include-oggz-oggz_off_t_generated.h 
                         patch-modules-libpref-src-prefapi.cpp 
                         patch-xptcall-powerpc releng6_pulseaudio 
  Removed files:
    www/libxul/files     patch-configure 
                         patch-content_xslt_public_txDouble.h 
                         patch-js_src_jsnum.c 
                         patch-layout-style-nsCSSValue.h 
                         patch-toolkit-components-history-src-nsGlobalHistory.cpp 
                         patch-toolkit-components-places-src-nsMorkHistoryImporter.cpp 
                         patch-toolkit-components-url-classifier-src-nsUrlClassifierDBService.cpp 
                         patch-toolkit_mozapps_installer_packager.mk 
                         patch-xpcom-reflect-xptcall-src-xptcprivate.h 
                         patch-xpfe-components-history-src-nsGlobalHistory.cpp 
                         patch-xulrunner_app_mozilla.in 
  Log:
  - Update to 1.9.2.8
  
  PR:             ports/149044
  Expr-run by:    pav@
  Thanks to:      Andreas Tobler <andreast-list AT fgznet.ch>, decke@
  
  Revision  Changes    Path
  1.18      +39 -13    ports/www/libxul/Makefile
  1.10      +3 -3      ports/www/libxul/distinfo
  1.1       +15 -0     ports/www/libxul/files/libsydney_oss (new)
  1.2       +0 -38     ports/www/libxul/files/patch-configure (dead)
  1.1       +22 -0     ports/www/libxul/files/patch-configure.in (new)
  1.1       +11 -0     ports/www/libxul/files/patch-content-xslt-public-txDouble.h (new)
  1.2       +0 -20     ports/www/libxul/files/patch-content_xslt_public_txDouble.h (dead)
  1.1       +11 -0     ports/www/libxul/files/patch-js-src-Makefile.in (new)
  1.1       +11 -0     ports/www/libxul/files/patch-js-src-config-mkdepend-Makefile.in (new)
  1.1       +13 -0     ports/www/libxul/files/patch-js-src-configure.in (new)
  1.1       +18 -0     ports/www/libxul/files/patch-js-src-jslock.cpp (new)
  1.2       +0 -28     ports/www/libxul/files/patch-js_src_jsnum.c (dead)
  1.1       +29 -0     ports/www/libxul/files/patch-js_src_jsnum.cpp (new)
  1.2       +0 -215    ports/www/libxul/files/patch-layout-style-nsCSSValue.h (dead)
  1.2       +4 -4      ports/www/libxul/files/patch-layout_generic_Makefile.in
  1.1       +11 -0     ports/www/libxul/files/patch-media-liboggz-include-oggz-oggz_off_t_generated.h (new)
  1.1       +102 -0    ports/www/libxul/files/patch-modules-libpref-src-prefapi.cpp (new)
  1.4       +11 -50    ports/www/libxul/files/patch-security_coreconf_FreeBSD.mk
  1.2       +0 -24     ports/www/libxul/files/patch-toolkit-components-history-src-nsGlobalHistory.cpp (dead)
  1.2       +0 -17     ports/www/libxul/files/patch-toolkit-components-places-src-nsMorkHistoryImporter.cpp (dead)
  1.2       +0 -28     ports/www/libxul/files/patch-toolkit-components-url-classifier-src-nsUrlClassifierDBService.cpp (dead)
  1.2       +0 -11     ports/www/libxul/files/patch-toolkit_mozapps_installer_packager.mk (dead)
  1.2       +0 -20     ports/www/libxul/files/patch-xpcom-reflect-xptcall-src-xptcprivate.h (dead)
  1.2       +37 -17    ports/www/libxul/files/patch-xpcom_reflect_xptcall_src_md_unix_Makefile.in
  1.2       +0 -24     ports/www/libxul/files/patch-xpfe-components-history-src-nsGlobalHistory.cpp (dead)
  1.2       +11 -17    ports/www/libxul/files/patch-xptcall-amd64
  1.1       +580 -0    ports/www/libxul/files/patch-xptcall-powerpc (new)
  1.2       +0 -18     ports/www/libxul/files/patch-xulrunner_app_mozilla.in (dead)
  1.2       +4 -6      ports/www/libxul/files/patch-xulrunner_installer_libxul.pc.in
  1.1       +32 -0     ports/www/libxul/files/releng6_pulseaudio (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2010-08-08 09:56:49 UTC
beat        2010-08-08 08:56:41 UTC

  FreeBSD ports repository

  Modified files:
    audio/tuxguitar      Makefile 
    deskutils/mcatalog   Makefile 
    devel/mono-tools     Makefile 
    java/eclipse         Makefile 
    java/eclipse-devel   Makefile 
    lang/gjs             Makefile 
    net-p2p/vuze         Makefile 
    net/penguintv        Makefile 
    news/openftd         Makefile 
    www/firefox-sync     Makefile 
    www/gecko-sharp20    Makefile 
    www/moonshine        Makefile 
    www/xpi-conkeror     Makefile 
    www/xpi-gwt-dev-plugin Makefile 
    x11-toolkits/hs-gtk2hs Makefile 
    x11-toolkits/swt     Makefile 
    x11-toolkits/swt-devel Makefile 
    x11/yelp             Makefile 
  Log:
  - Bump PORTREVISION after libxul update
  
  PR:             ports/149044
  Expr-run by:    pav@
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.29      +1 -1      ports/audio/tuxguitar/Makefile
  1.25      +1 -1      ports/deskutils/mcatalog/Makefile
  1.21      +1 -0      ports/devel/mono-tools/Makefile
  1.32      +1 -1      ports/java/eclipse-devel/Makefile
  1.70      +1 -0      ports/java/eclipse/Makefile
  1.7       +1 -1      ports/lang/gjs/Makefile
  1.70      +1 -1      ports/net-p2p/vuze/Makefile
  1.35      +1 -1      ports/net/penguintv/Makefile
  1.18      +1 -1      ports/news/openftd/Makefile
  1.22      +1 -0      ports/www/firefox-sync/Makefile
  1.23      +1 -1      ports/www/gecko-sharp20/Makefile
  1.10      +1 -0      ports/www/moonshine/Makefile
  1.19      +1 -1      ports/www/xpi-conkeror/Makefile
  1.5       +1 -1      ports/www/xpi-gwt-dev-plugin/Makefile
  1.43      +1 -1      ports/x11-toolkits/hs-gtk2hs/Makefile
  1.30      +1 -1      ports/x11-toolkits/swt-devel/Makefile
  1.19      +1 -1      ports/x11-toolkits/swt/Makefile
  1.74      +1 -1      ports/x11/yelp/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2010-08-08 09:57:19 UTC
beat        2010-08-08 08:57:06 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/chmsee     Makefile 
  Log:
  - Bump PORTREVISION after libxul update
  - Remove obsolete gecko provider
  
  PR:             ports/149044
  Expr-run by:    pav@
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.27      +2 -2      ports/deskutils/chmsee/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2010-08-08 09:57:41 UTC
beat        2010-08-08 08:57:28 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/google-gadgets Makefile 
    www/kazehakase       Makefile 
  Added files:
    www/kazehakase/files patch-gtk patch-macros_gecko.m4 
                         patch-module_embed_gecko_kz-mozwrapper.cpp 
  Log:
  - Fix build with libxul 1.9.2
  - Bump PORTREVISION after libxul update
  - Remove obsolete gecko provider
  
  PR:             ports/149044
  Submitted by:   decke@
  Expr-run by:    pav@
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.20      +3 -3      ports/deskutils/google-gadgets/Makefile
  1.79      +6 -2      ports/www/kazehakase/Makefile
  1.1       +180 -0    ports/www/kazehakase/files/patch-gtk (new)
  1.1       +58 -0     ports/www/kazehakase/files/patch-macros_gecko.m4 (new)
  1.1       +42 -0     ports/www/kazehakase/files/patch-module_embed_gecko_kz-mozwrapper.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter freebsd_committer 2010-08-08 09:58:05 UTC
beat        2010-08-08 08:57:52 UTC

  FreeBSD ports repository

  Modified files:
    german/bsdforen-firefox-searchplugin Makefile 
    german/bsdgroup-firefox-searchplugin Makefile 
  Log:
  - Replace bogus libxul dependency with Firefox
  - Bump PORTREVISION
  
  PR:             ports/149044
  Expr-run by:    pav@
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.12      +3 -2      ports/german/bsdforen-firefox-searchplugin/Makefile
  1.9       +3 -2      ports/german/bsdgroup-firefox-searchplugin/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter freebsd_committer 2010-08-08 09:58:28 UTC
beat        2010-08-08 08:58:16 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/moonlight Makefile pkg-plist 
    net/libproxy-mozjs   Makefile 
    x11-toolkits/py-gnome-extras Makefile 
  Log:
  - Fix build with libxul 1.9.2
  - Bump PORTREVISION after libxul update
  
  PR:             ports/149044
  Submitted by:   decke@
  Expr-run by:    pav@
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.20      +3 -3      ports/multimedia/moonlight/Makefile
  1.5       +2 -2      ports/multimedia/moonlight/pkg-plist
  1.7       +2 -2      ports/net/libproxy-mozjs/Makefile
  1.38      +8 -4      ports/x11-toolkits/py-gnome-extras/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 dfilter freebsd_committer 2010-08-08 09:59:33 UTC
beat        2010-08-08 08:59:20 UTC

  FreeBSD ports repository

  Modified files:
    www/openvrml         Makefile distinfo pkg-plist 
    www/openvrml/files   patch-Makefile.in patch-configure 
                         patch-ltmain.sh 
  Added files:
    www/openvrml/files   patch-src_Makefile.in 
  Log:
  - Update to 0.18.6 to fix build with libxul 1.9.2
  - Remove obsolete gecko provider
  
  PR:             ports/149044
  Submitted by:   decke@
  Expr-run by:    pav@
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.60      +14 -8     ports/www/openvrml/Makefile
  1.13      +3 -3      ports/www/openvrml/distinfo
  1.5       +6 -6      ports/www/openvrml/files/patch-Makefile.in
  1.4       +0 -11     ports/www/openvrml/files/patch-configure
  1.2       +0 -15     ports/www/openvrml/files/patch-ltmain.sh
  1.1       +10 -0     ports/www/openvrml/files/patch-src_Makefile.in (new)
  1.13      +105 -26   ports/www/openvrml/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 dfilter freebsd_committer 2010-08-08 10:16:26 UTC
beat        2010-08-08 09:16:11 UTC

  FreeBSD ports repository

  Modified files:
    www/gecko-mediaplayer Makefile distinfo pkg-plist 
  Added files:
    www/gecko-mediaplayer/files patch-configure 
  Log:
  - Update to 0.9.9.2 to fix build with libxul 1.9.2
  - Remove obsolete gecko provider
  
  PR:             ports/149044
  Submitted by:   decke@
  Expr-run by:    pav@
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.8       +9 -5      ports/www/gecko-mediaplayer/Makefile
  1.2       +3 -3      ports/www/gecko-mediaplayer/distinfo
  1.1       +20 -0     ports/www/gecko-mediaplayer/files/patch-configure (new)
  1.2       +2 -0      ports/www/gecko-mediaplayer/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 Beat Gaetzi freebsd_committer 2010-08-08 10:17:10 UTC
State Changed
From-To: open->closed

Committed.